import * as graphic from '../../util/graphic.js';
import { createSymbol } from '../../util/symbol.js';
import { PathProps } from 'tvrender/lib/graphic/Path.js';
import PathProxy from 'tvrender/lib/core/PathProxy.js';
declare class LargeSymbolPathShape {
    points: {
        point: number[];
        size: number;
        color: string;
    }[];
    isShadow?: boolean;
    isWebviewRender?: boolean;
}
declare type LargeSymbolPathProps = PathProps & {
    shape?: Partial<LargeSymbolPathShape>;
};
declare type ECSymbol = ReturnType<typeof createSymbol>;
declare class SymbolPath extends graphic.Path<LargeSymbolPathProps> {
    shape: LargeSymbolPathShape;
    symbolProxy: ECSymbol;
    constructor(opts?: LargeSymbolPathProps);
    getDefaultShape(): LargeSymbolPathShape;
    buildPath(path: PathProxy, shape: LargeSymbolPathShape): void;
}
export default SymbolPath;
